# Barry::Sync::vAttr Class Reference

`#include <vbase.h>`

Collaboration diagram for Barry::Sync::vAttr:

[legend]

List of all members.

## Detailed Description

Class for reading a b_VFormatAttribute.

Reading does not require memory management, so none is done.

Definition at line 78 of file vbase.h.

## Public Member Functions

std::string | GetAllParams (const char *name)
| Does an exhaustive search through the attribute, searching for all param values that exist for the given name, and returns all values in a comma delimited string.

## Member Function Documentation

std::string Barry::Sync::vAttr::GetAllParams | ( | const char * | name | ) |

Does an exhaustive search through the attribute, searching for all param values that exist for the given name, and returns all values in a comma delimited string.

Definition at line 214 of file vbase.cc.

The documentation for this class was generated from the following files:

- vbase.h
- vbase.cc